diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/bug780-test.cc ns-3.43/src/olsr/test/bug780-test.cc
--- ns-3.42/src/olsr/test/bug780-test.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/bug780-test.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,17 +1,5 @@
-/* This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
- * USA
- *
+/*
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // OLSR was observed to not converge in simple 3-nodes varying topology.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/bug780-test.h ns-3.43/src/olsr/test/bug780-test.h
--- ns-3.42/src/olsr/test/bug780-test.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/bug780-test.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/hello-regression-test.cc ns-3.43/src/olsr/test/hello-regression-test.cc
--- ns-3.42/src/olsr/test/hello-regression-test.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/hello-regression-test.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/hello-regression-test.h ns-3.43/src/olsr/test/hello-regression-test.h
--- ns-3.42/src/olsr/test/hello-regression-test.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/hello-regression-test.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/olsr-header-test-suite.cc ns-3.43/src/olsr/test/olsr-header-test-suite.cc
--- ns-3.42/src/olsr/test/olsr-header-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/olsr-header-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/olsr-routing-protocol-test-suite.cc ns-3.43/src/olsr/test/olsr-routing-protocol-test-suite.cc
--- ns-3.42/src/olsr/test/olsr-routing-protocol-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/olsr-routing-protocol-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2004 Francisco J. Ros
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Francisco J. Ros  <fjrm@dif.um.es>
  *          Gustavo J. A. M. Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/regression-test-suite.cc ns-3.43/src/olsr/test/regression-test-suite.cc
--- ns-3.42/src/olsr/test/regression-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/regression-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/tc-regression-test.cc ns-3.43/src/olsr/test/tc-regression-test.cc
--- ns-3.42/src/olsr/test/tc-regression-test.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/tc-regression-test.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/olsr/test/tc-regression-test.h ns-3.43/src/olsr/test/tc-regression-test.h
--- ns-3.42/src/olsr/test/tc-regression-test.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/olsr/test/tc-regression-test.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
@@ -40,59 +29,45 @@
  * It is expected that only second station will send TC messages.
  *
  * Expected trace (20 seconds, note random b-cast jitter):
-   \verbatim
-         1       2       3
-         |<------|------>|              HELLO (empty) src = 10.1.1.2
-         |       |<------|------>       HELLO (empty) src = 10.1.1.3
-  <------|------>|       |              HELLO (empty) src = 10.1.1.1
-  <------|------>|       |              HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<------|------>|              HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.3; Link Type:
- Asymmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-         |<------|------>|              HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.3; Link Type:
- Asymmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-  <------|------>|       |              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: Symmetric, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<======|======>|              TC (10.1.1.3; 10.1.1.1) + HELLO (Link Type: Symmetric,
- Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2 | |<------|------>
- HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-         |<======|======>|              TC (10.1.1.3; 10.1.1.1) src = 10.1.1.2
-         |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
-  <------|------>|       |              HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.1 |       |<------|------>       HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src
- = 10.1.1.3
-         |<------|------>|              HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type:
- Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2 \endverbatim
  */
+// clang-format off
+/**
+ * \verbatim
+          1       2       3
+          |<------|------>|         HELLO (empty) src = 10.1.1.2
+          |       |<------|------>  HELLO (empty) src = 10.1.1.3
+   <------|------>|       |         HELLO (empty) src = 10.1.1.1
+   <------|------>|       |         HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<------|------>|         HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.3; Link Type: Asymmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+          |<------|------>|         HELLO (Link Type: Asymmetric, Neighbor: 10.1.1.3; Link Type: Asymmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   <------|------>|       |         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: Symmetric, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<======|======>|         TC (10.1.1.3; 10.1.1.1) + HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+          |<======|======>|         TC (10.1.1.3; 10.1.1.1) src = 10.1.1.2
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   <------|------>|       |         HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.1
+          |       |<------|------>  HELLO (Link Type: MPR Link, Neighbor: 10.1.1.2) src = 10.1.1.3
+          |<------|------>|         HELLO (Link Type: Symmetric, Neighbor: 10.1.1.3; Link Type: Symmetric, Neighbor: 10.1.1.1) src = 10.1.1.2
+   \endverbatim
+ */
+// clang-format on
 class TcRegressionTest : public TestCase
 {
   public:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/examples/openflow-switch.cc ns-3.43/src/openflow/examples/openflow-switch.cc
--- ns-3.42/src/openflow/examples/openflow-switch.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/examples/openflow-switch.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd <naimorai@gmail.com>
  * Modified by: Josh Pelkey <joshpelkey@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/examples/openflow-switch.py ns-3.43/src/openflow/examples/openflow-switch.py
--- ns-3.42/src/openflow/examples/openflow-switch.py	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/examples/openflow-switch.py	2024-10-09 16:41:10.076656600 -0700
@@ -1,17 +1,6 @@
 #
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Blake Hurd <naimorai@gmail.com>
 # Modified by: Josh Pelkey <joshpelkey@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/helper/openflow-switch-helper.cc ns-3.43/src/openflow/helper/openflow-switch-helper.cc
--- ns-3.42/src/openflow/helper/openflow-switch-helper.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/helper/openflow-switch-helper.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Blake Hurd
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/helper/openflow-switch-helper.h ns-3.43/src/openflow/helper/openflow-switch-helper.h
--- ns-3.42/src/openflow/helper/openflow-switch-helper.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/helper/openflow-switch-helper.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Blake Hurd
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/model/openflow-interface.cc ns-3.43/src/openflow/model/openflow-interface.cc
--- ns-3.42/src/openflow/model/openflow-interface.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/model/openflow-interface.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/model/openflow-interface.h ns-3.43/src/openflow/model/openflow-interface.h
--- ns-3.42/src/openflow/model/openflow-interface.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/model/openflow-interface.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/model/openflow-switch-net-device.cc ns-3.43/src/openflow/model/openflow-switch-net-device.cc
--- ns-3.42/src/openflow/model/openflow-switch-net-device.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/model/openflow-switch-net-device.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/model/openflow-switch-net-device.h ns-3.43/src/openflow/model/openflow-switch-net-device.h
--- ns-3.42/src/openflow/model/openflow-switch-net-device.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/model/openflow-switch-net-device.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/openflow/test/openflow-switch-test-suite.cc ns-3.43/src/openflow/test/openflow-switch-test-suite.cc
--- ns-3.42/src/openflow/test/openflow-switch-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/openflow/test/openflow-switch-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,19 +1,7 @@
 /*
  * Copyright (c) 2011 Blake Hurd
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
- * 02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Blake Hurd  <naimorai@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/examples/main-attribute-value.cc ns-3.43/src/point-to-point/examples/main-attribute-value.cc
--- ns-3.42/src/point-to-point/examples/main-attribute-value.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point/examples/main-attribute-value.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Henderson <tomh@tomh.org>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/helper/point-to-point-helper.cc ns-3.43/src/point-to-point/helper/point-to-point-helper.cc
--- ns-3.42/src/point-to-point/helper/point-to-point-helper.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point/helper/point-to-point-helper.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/helper/point-to-point-helper.h ns-3.43/src/point-to-point/helper/point-to-point-helper.h
--- ns-3.42/src/point-to-point/helper/point-to-point-helper.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point/helper/point-to-point-helper.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
